Package ru.bgcrm.plugin.bgbilling.dao

# Class BillingDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO

Direct Known Subclasses:
  `BalanceDAO`, `BillingModuleDAO`, `CashCheckDAO`, `ContractDAO`, `ContractDAO`, `ContractHierarchyDAO`, `ContractObjectDAO`, `ContractObjectParamDAO`, `ContractParamDAO`, `ContractScriptDAO`, `ContractStatusDAO`, `ContractTariffDAO`, `DirectoryDAO`, `DispatchDAO`, `HelpDeskDAO`, `PluginDAO`

public class BillingDAO extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DBInfo`
  `dbInfo`
  `protected com.fasterxml.jackson.databind.ObjectMapper`
  `jsonMapper`
  `protected com.fasterxml.jackson.databind.type.TypeFactory`
  `jsonTypeFactory`
  `protected TransferData`
  `transferData`
  `protected User`
  `user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillingDAO(User user, String billingId)`
  `BillingDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Document`
  `doRequest(Request req)`
  `DBInfo`
  `getDbInfo()`
  `protected void`
  `getPage(Page page, Element data)`
  `Integer`
  `getParameterId(String values)`
  Возвращает из сроки вида billingId1:paramId1;billingId2:paramId2 код параметра для текущего биллинга.
  `static String`
  `getVersion(User user, String billingId)`
  `protected String`
  `linesToString(Element node)`
  `protected <T> T`
  `readJsonValue(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.JavaType valueType)`
  `protected void`
  `setPage(Request req, Page page)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### user

    protected User user

  - ### dbInfo

    protected DBInfo dbInfo

  - ### transferData

    protected TransferData transferData

  - ### jsonMapper

    protected com.fasterxml.jackson.databind.ObjectMapper jsonMapper

  - ### jsonTypeFactory

    protected com.fasterxml.jackson.databind.type.TypeFactory jsonTypeFactory

- ## Constructor Details

  - ### BillingDAO

    public BillingDAO(User user, String billingId)

  - ### BillingDAO

    public BillingDAO(User user, DBInfo dbInfo)

- ## Method Details

  - ### getVersion

    public static String getVersion(User user, String billingId)

  - ### doRequest

    public Document doRequest(Request req)

  - ### setPage

    protected void setPage(Request req, Page page)

  - ### getPage

    protected void getPage(Page page, Element data)

  - ### getParameterId

    public Integer getParameterId(String values)
    Возвращает из сроки вида billingId1:paramId1;billingId2:paramId2 код параметра для текущего биллинга.
    Parameters:
      `values` -
    Returns:

  - ### getDbInfo

    public DBInfo getDbInfo()

  - ### linesToString

    protected String linesToString(Element node)

  - ### readJsonValue

    protected <T> T readJsonValue(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.JavaType valueType)